package dev.peerat.backend.routes.admins.puzzle;

import static dev.peerat.framework.RequestType.DELETE;

import java.util.regex.Matcher;

import dev.peerat.backend.repository.DatabaseRepository;
import dev.peerat.framework.Context;
import dev.peerat.framework.HttpReader;
import dev.peerat.framework.HttpWriter;
import dev.peerat.framework.Response;
import dev.peerat.framework.Route;
import dev.peerat.framework.utils.json.JsonMap;

public class DeletePuzzle implements Response{
	
	private DatabaseRepository repo;
	
	public DeletePuzzle(DatabaseRepository repo){
		this.repo = repo;
	}
	
	@Route(path = "^/admin/puzzle/(\\d+)$", type = DELETE, needLogin = true)
	public void exec(Matcher matcher, Context context, HttpReader reader, HttpWriter writer) throws Exception{
		if(this.repo.adminDeletePuzzle(Integer.parseInt(matcher.group(1)))){
			context.response(200);
		}else{
			context.response(501);
		}
	}

}
