package dev.peerat.backend.routes.admins.tag;

import static dev.peerat.framework.RequestType.POST;

import java.util.regex.Matcher;

import dev.peerat.backend.repository.DatabaseRepository;
import dev.peerat.framework.Context;
import dev.peerat.framework.HttpReader;
import dev.peerat.framework.HttpWriter;
import dev.peerat.framework.Response;
import dev.peerat.framework.Route;
import dev.peerat.framework.utils.json.JsonMap;

public class AddTag implements Response{
	
	private DatabaseRepository repo;
	
	public AddTag(DatabaseRepository repo){
		this.repo = repo;
	}
	
	@Route(path = "^/admin/tag/$", type = POST, needLogin = true)
	public void exec(Matcher matcher, Context context, HttpReader reader, HttpWriter writer) throws Exception{
		JsonMap json = reader.readJson();
		if(repo.adminAddTag(json.get("name"))){
			context.response(200);
		}else{
			context.response(501);
		}
	}

}
